#
#       Makefile for csgi
#
#       Copyright (C) 2000-2022 GFD Dennou Club. All rights reserved.
#

ROOTDIR     = ..\..\..
OBJDIR      = ..

FSRC        = csgi.f isgc.f usgi.f

FOBJ = $(FSRC:.f=.obj)

!include $(ROOTDIR)\MkInclude.win

build:
    $(MAKE) /$(MAKEFLAGS) /NOLOGO /S /f makefile.win subdirs \
            SUBDIRS_PRETARGET=build-exec
build-exec: $(FSRC) $(FOBJ)

csgi.f: csgi.f.general
	$(CP) csgi.f.general csgi.f

isgc.f: isgc.f.general
	$(CP) isgc.f.general isgc.f

install:
    $(MAKE) /$(MAKEFLAGS) /NOLOGO /S /f makefile.win subdirs \
            SUBDIRS_PRETARGET=install-exec
install-exec-unique:

clean:
    $(MAKE) /$(MAKEFLAGS) /NOLOGO /S /f makefile.win subdirs \
            SUBDIRS_PRETARGET=clean-exec
clean-exec-unique:
	IF EXIST isgc.f $(RM) isgc.f
	IF EXIST csgi.f $(RM) csgi.f
